<?php
// Opslaan als index.php 
// Laad database code
// Zorg ervoor dat de bladzijde altijd vanuit de server wordt ververst
// Zie https://www.imperva.com/learn/performance/cache-control/ en
// https://developer.mozilla.org/en-US/docs/Web/HTTP/Headers/Cache-Control
header("Cache-control: no-store");

require_once("database.php");
// Laad code voor de acties die we op de database gaan doen
require_once("actie.php");
// Laad code voor de acties die we voor het login proces nodig hebben
require_once("authorisatie.php");


// declareer variabelen
$uitvoer="";
$menu="";
$actie="Toon Artikelen";

// lees de actie in
if( isset($_POST['actie']) && !empty($_POST['actie'])  )
{
 $actie=$_POST['actie'];
}

switch($actie)
{
  case "Toon Artikelen": $uitvoer=toonArtikelenLijst(); break;
  case "Toon VerbindingStatus": $uitvoer = toonVerbindingStatus(); break;
  default: $uitvoer = "<h1>Welkom bij ons garagebedrijf</h1>"; break;
}

echo <<<END
<!DOCTYPE HTML>
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />    
<title>Garagehuis</title>
</head>
<body>
<form action="{$_SERVER['PHP_SELF']}" method="POST">
$menu
</form>
<hr>
<form action="{$_SERVER['PHP_SELF']}" method="POST">
$uitvoer
</form>
</body>
</html>
END;
?>