<?php
// Opslaan als index.php 
// Zorg ervoor dat de bladzijde altijd vanuit de server wordt ververst
// Zie https://www.imperva.com/learn/performance/cache-control/ en
// https://developer.mozilla.org/en-US/docs/Web/HTTP/Headers/Cache-Control
header("Cache-control: no-store");

//Laad database code
require_once("database.php");
//Laad algemene code
require_once("algemeen.php");
//Laad code voor de acties met betrekking tot producten die we op de database gaan doen
require_once("product.php");

$actie="Toon Artikelen";
$uitvoer = "";
$menu="";

// lees de actie in
if( isset($_POST['actie']) && !empty($_POST['actie'])  )
{
 $actie=$_POST['actie'];
}

// afhandelen actie ofwel uitvoer maken
// Vertel hier wat een switch ook weer doet.
switch($actie)
{
  case "Toon Artikelen": $uitvoer=toonArtikelenLijst(); break;
  case "Toon VerbindingStatus": $uitvoer = toonVerbindingStatus(); break;
  default: $uitvoer = "<h1>Welkom bij ons garagebedrijf</h1>"; break;
}

echo <<<END
<!DOCTYPE HTML>
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />    
<title>Garagehuis</title>
</head>
<body>
<form action="{$_SERVER['PHP_SELF']}" method="POST">
$menu
</form>
<hr>
<form action="{$_SERVER['PHP_SELF']}" method="POST">
$uitvoer
</form>
</body>
</html>
END;
?>