<?php
/**
 * getMenu maakt het menu voor de website
 */
function getMenu()
{
 $uitvoer=<<<END
 <table class='menu' summary="">
  <tr>
    <td><input type="submit" name="actie" value="Toon Artikelen">
    </td>
    <td><input type="submit" name="actie" value="Afmelden">
    </td>
    <td><input type="submit" name="actie" value="Toon info">
    </td>
</tr>
 </table>
END;
 return $uitvoer; 
}

/*
 * De functie toonArtikelenLijst voert de sql query voor 
 * de productenlist uit op de database en maakt met het resultaat van deze
 * query een tabel in html.
 * Deze html wordt geretourneerd naar de aanroepende code.
 */
function toonArtikelenLijst()
{
  // maak verbinding
  $uitvoer=""; // initialisatie van variabele om uit voer in te plaatsen
  $melding=""; // initialisatie van variabele om connectie foutmelding in te plaatsen
  global $db; // Haal een verwijzing naar de huidige connectie in database.php
  if(!$db) maakVerbinding($db,$melding);
  if(!$db) // test verbinding
  {
    // mislukt
    $uitvoer="Er is geen database connectie! ".$melding;
  }
  else
  {
     $query = "SELECT * from product";
     $resultaat = $db->query($query);
     if($resultaat)
     {            
      // resultaat tot uitvoer verwerken
      // maken tabel 
      $uitvoer .= "<table summary=''>\n";
      $uitvoer .= "<tr>";
      $uitvoer .= "<td>nummer</td>";
      $uitvoer .= "<td>naam</td>";
      $uitvoer .= "<td>prijs</td>";
      $uitvoer .= "<td>voorraad</td>";
      $uitvoer .= "<td>omschrijving</td>";
      $uitvoer .= "<td>bestel</td>";
      $uitvoer .= "</tr>\n";
      // lus door alle rijen aanezig in het resultaat
      while(list($nummer,$naam,$prijs,$voorraad, $omschrijving) = $resultaat->fetch_row())
      {
         $uitvoer .= "<tr><td>$nummer</td><td>$naam</td><td>$prijs</td><td>$voorraad</td><td>$omschrijving</td>";
         $uitvoer .= "<td><form action='{$_SERVER['PHP_SELF']}' method='post'>";
         $uitvoer .= "<input type='hidden' name='productid' value=$nummer>";
         $uitvoer .= "<input type='numeric' name='aantal' value=''>";
         $uitvoer .= "<input type='submit' name='actie' value='Bestel'></form></td>";
         $uitvoer .= "<td><form  action='{$_SERVER['PHP_SELF']}' method='post'>";
         $uitvoer .= "</tr>\n"; 
      }
      $uitvoer .="</table>";
     }
     else
     {
         $uitvoer .= "<br/>Fout in query";
     }
  }
  //sluit database
  verbreekVerbinding();         
  return $uitvoer;    // Stuur de waarde van $uitvoer terug     
}

/*
 * toonVerbindingStatus() is een fucntie die de database connectie test.
 * Het resultaat is een tekst die het succes of niet van het maken van de connectie
 * met de database manager weergeeft
 * param &$db: verwijzing naar de database
 */
function toonVerbindingStatus()
{ 
 $uitvoer=""; // initialisatie van variabele om uit voer in te plaatsen
 $melding=""; // initialisatie van variabele om connectie foutmelding in te plaatsen
 global $db; // Haal een verwijzing naar de huidige connectie in database.php
 // maak verbinding
 maakVerbinding($db,$melding);
 if(!$db) // test verbinding
 {
  // mislukt
  $uitvoer=$melding;
 }
 else
 {
  $uitvoer=$melding; 
  // Volgende is niet nodig maar alleen om functionaliteit maakVerbinding te laten zien
  // verbind nog een keer 
  maakVerbinding($db,$melding);
  $uitvoer.="<br/>".$melding;  
  //sluit database
  verbreekVerbinding();
  // verbind nog een keer;
  $db=maakVerbinding($db,$melding);
  $uitvoer.="<br/>".$melding;  
  verbreekVerbinding();
  // Einde niet nodig
 }
 return $uitvoer;
}

//einde van het PhP blok
?>
